<?php
require_once ASD_APPLICATION_PATH . '/models/AbstractModel.php';

class Asd_Model_Options extends Asd_Model_AbstractModel
{
    const PREFIX = Asd_WpPlugin::PREFIX;

    public function getValue($name, $default=NULL)
    {
        if (is_null($default)) {
            $default = Asd_Application::getConfig()->optionDefaults->$name;
            if ($default instanceof AsdZend_Config) {
                $default = $default->toArray();
            }
        }

        return get_option(self::PREFIX . '_' . $name, $default);
    }

    public function setValue($name, $value)
    {
        update_option(self::PREFIX . '_' . $name, $value);

        return $this;
    }

    public function unsetValue($name)
    {
        return delete_option(self::PREFIX . '_' . $name);

        return $this;
    }
}
